<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_browser_include.php
| Author: HobbyMan
| Web: http://www.hobbysites.net/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

$gen_set = 1; //0 = Just text; 1 = text + image; 2 = Just images.
$with_secret = FALSE; // True for additiona unspecified option
$input_type = 'form_select'; // form_select or form_checkbox (up to you)
$uf_browser = [
    0  => $locale['uf_browser_no'],
    1  => $locale['uf_browser_cami'],
    2  => $locale['uf_browser_chro'],
    3  => $locale['uf_browser_epip'],
    4  => $locale['uf_browser_expl'],
    5  => $locale['uf_browser_fire'],
    6  => $locale['uf_browser_floc'],
    7  => $locale['uf_browser_gale'],
    8  => $locale['uf_browser_icab'],
    9  => $locale['uf_browser_kmel'],
    10 => $locale['uf_browser_konq'],
    11 => $locale['uf_browser_mfir'],
    12 => $locale['uf_browser_mpho'],
    13 => $locale['uf_browser_nets'],
    14 => $locale['uf_browser_omni'],
    15 => $locale['uf_browser_oper'],
    16 => $locale['uf_browser_safa'],
    17 => $locale['uf_browser_seam'],
    18 => $locale['uf_browser_shii'],
    19 => $locale['uf_browser_swif']
];
$browser_kep = [
    '0' => '', // Text
    '1' => ['no', 'cami', 'chro', 'epip', 'expl', 'fire', 'floc', 'gale', 'icab', 'kmel', 'konq', 'mfir', 'mpho', 'nets', 'omni', 'oper', 'safa', 'seam', 'shii', 'swif'],  // Image + text
    '2' => ['no', 'cami', 'chro', 'epip', 'expl', 'fire', 'floc', 'gale', 'icab', 'kmel', 'konq', 'mfir', 'mpho', 'nets', 'omni', 'oper', 'safa', 'seam', 'shii', 'swif'],  // Image
];
for ($i = 0; $i < count($uf_browser); $i++) {
    switch ($gen_set) {
        case 2:
            $value = "<img src='".IMAGES."user_fields/browser/".strtolower($browser_kep[$gen_set][$i]).".png' style='width: 16px;' alt='".$uf_browser[$i]."' title='".$uf_browser[$i]."'/>";
            break;
        case 1:
            $value = "<img src='".IMAGES."user_fields/browser/".strtolower($browser_kep[$gen_set][$i]).".png' style='width: 16px;' alt='".$uf_browser[$i]."' title='".$uf_browser[$i]."'/> ".$uf_browser[$i];
            break;
        default:
            $value = $uf_browser[$i];
    }
    $browser_szkep[] = $value;
}

if (!$with_secret) {
    unset($browser_szkep[count($browser_szkep) - 1]);
}

if ($profile_method == "input") {
    $options = [
            'type'       => 'radio',
            'inline'     => TRUE,
            'error_text' => $locale['uf_browser_error'],
            'options'    => $browser_szkep,
        ] + $options;

    $user_fields = $input_type('user_browser', $locale['uf_browser'], $field_value, $options);

} elseif ($profile_method == "display") {
    if ($field_value) {
        $user_fields = [
            'title' => $locale['uf_browser'],
            'value' => $browser_szkep[$field_value]
        ];
    }

}